QXW(6)

NAME
qxw - create and publish crosswords

SYNOPSIS
qxw [options] [file]

DESCRIPTION
This manual page briefly documents the qxw command.

Qxw is a program that can help you create and publish crosswords, from the simplest blocked grid to sophisticated thematic puzzles. It can make rectangular-, hexagonal- or circular-format grids with blocks, bars or both. It has an automatic grid-filling facility that can handle a wide range of answer treatments and you can even add your own answer treatment methods. Grids can be filled using letters, digits, or a mixture of both; non-Roman and custom alphabets are also supported. Qxw can produce output in a range of formats ready for publication.

Qxw can run interactively with a GUI (the default) or non-interactively. In non-interactive mode it can be used to solve a wide range of word-based constraint satisfaction problems and can help automate the exploration of grid designs.

In interactive mode the optional argument is the name of a crossword description file in Qxw's native format to load at start-up. In non-interactive mode the argument is mandatory, and specifies a problem for Qxw's filler to solve.

OPTIONS

-?  Show usage summary including built-in alphabets, along with version and licence information.

-d file
    Load specified dictionary at start-up. This option may be repeated to load multiple dictionaries.

-a alphabet
    Load specified alphabet at start-up. The list of built-in alphabets is output as part of the usage summary information.

-b  Enable batch (non-interactive) mode.

The program also accepts the standard GTK options, which only have effect in interactive mode.

Exit status is 0 for normal exit and 16 for a file format error, an internal error or other catastrophic failure. In addition, in non-interactive mode, an exit status of 4 indicates that no solution was found to the problem specified.

SEE ALSO
gtk-options(7).

Further documentation, including a PDF manual, can be found at <https://www.quinapalus.com/qxw.html>.

AUTHOR
Qxw was written by Mark Owen.

This manual page was written by Mark Owen <debian@quinapalus.com>, for the Debian project (and may be used by others).